Package org.apache.commons.beanutils

## Interface BeanIntrospector

All Known Implementing Classes:
  `DefaultBeanIntrospector`, `FluentPropertyBeanIntrospector`, `SuppressPropertiesBeanIntrospector`

    public interface BeanIntrospector

Definition of an interface for components that can perform introspection on bean classes.

Before `PropertyUtils` can be used for interaction with a specific Java class, the class's properties have to be determined. This is called introspection and is initiated automatically on demand. `PropertyUtils` does not perform introspection on its own, but delegates this task to one or more objects implementing this interface. This makes it possible to customize introspection which may be useful for certain code bases using non-standard conventions for accessing properties.

Since:
  1.9
Version:
  $Id$

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `introspect​(IntrospectionContext icontext)` Performs introspection on a Java class.

### Method Detail

#### introspect

    void introspect​(IntrospectionContext icontext)
             throws java.beans.IntrospectionException

Performs introspection on a Java class. The current class to be inspected can be queried from the passed in `IntrospectionContext` object. A typical implementation has to obtain this class, determine its properties according to the rules it implements, and add them to the passed in context object.

Parameters:
  `icontext` - the context object for interaction with the initiator of the introspection request
Throws:
  `java.beans.IntrospectionException` - if an error occurs during introspection